PMREPCONF(1)

NAME
pmrepconf - create/edit a pmrep configuration file

SYNOPSIS
pmrepconf [-crvV?] [-d groupsdir] [-g grouptag] [-o option] [-h host] configfile

DESCRIPTION
pmrepconf may be used to create and modify a generic configuration file for pmrep(1) and related utilities in the pmrep.conf(5) format.

If configfile does not exist, pmrepconf will create a generic configuration file with a set of discovered metrics in a [metrics] section.

Once created, configfile may be used with the -c option to pmrep(1) and related utilities such as pcp2elasticsearch(2) and pcp2spark(2).

If configfile does exist, pmrepconf will prompt for input from the user to enable or disable groups of related performance metrics.

Group selection requires a simple y (yes) or n (no) response to the prompt Log this group?.

Other responses at this point may be used to select additional control functions as follows:

m   Report the names of the metrics in the current group.

q   Finish with group selection (quit) and make no further changes to this group or any subsequent group.

/pattern
    Make no change to this group but search for a group containing pattern in the description of the group or the names of the associated metrics.

When run from automated setup processes, the -c option is used to indicate that pmrepconf is in auto-create mode and no interactive dialog takes place. The output configfile has an additional comment message and timestamp indicating this fact, so that it can be identified and subsequently updated using -c again. This option is not appropriate for interactive use of the tool.

More verbose output may be enabled with the -v option.

SETUP GROUP FILES
When an initial configfile is created, the default specifications come from a set of group files below the groupsdir specified with the -d option (the default groupsdir is $PCP_VAR_DIR/config/pmlogconf which is most commonly correct, so the -d option is rarely used in practice).

The directory structure and format of files below groupsdir is shared with the pmlogconf (1) utility, and described in detail on that manual page. When used by pmrepconf all interval settings are ignored.

OPTIONS
The available command line options are:

-c  Enable non-interactive, auto-create mode.

-d groupsdir, --groups=groupsdir
    Specify the path to the groupsdir directory.

-g grouptag, --group=grouptag
    Query logging state for the specific group named grouptag.

-h host, --host=host
    Performance metrics source is pmcd(1) on host, rather than on the default localhost.

-o option, --option=option
    Specify an option to be added to the [option] section of the generated pmrep.conf(5) file. This command line option can be presented multiple times in order to added multiple lines in the [option] section.

-r, --reprobe
    Reconsider every group for inclusion in the configfile.

-v, --verbose
    Enable verbose mode.

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

pmrepconf overrides any $PCP_DERIVED_CONFIG environment variable to an empty string, for performance reasons.

pmrepconf honours the $PMCD_WAIT_TIMEOUT environment variable when probing and creating new pmrep configuration files. It uses a default timeout value of 10 seconds for this, in the absence of an environment setting.

SEE ALSO
pcp2elasticsearch(1), pcp2spark(1), pmcd(1), pmlogconf(1), pmrep(1), pcp.conf(5), pcp.env(5) and pmrep.conf(5)